<div style="margin-top: 20px">
  <div class="container">
    <div class="row">
      <div style="margin-bottom: 10px"></div>
      <p-tabView>
        <br />
        <h5>
          <span> &nbsp; Approval Job Orders</span>
        </h5>
        <p-tabPanel header="New">
          <jhi-tab-view-job-order [idOrder]="jobOrder.idOrder" [idJobOrder]="jobOrder.idJobOrder" [idStatusType]="10">
          </jhi-tab-view-job-order>
        </p-tabPanel>
        <p-tabPanel header="Approved">
          <form name="searchForm" class="form-inline">
            <div class="input-group w-100 mt-3"
              [hidden]="(internal === 'PPIC' && userlogin === 'PJA' || internal !== 'PPIC')">
              <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                name="currentSearch" placeholder="Please Insert Job Order Number" />
              <button class="input-group-addon btn btn-info flat-style-button" (click)="search9(currentSearch)"
                *ngIf="currentSearch">
                <span class="fa fa-search"></span>
              </button>
              <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()"
                *ngIf="currentSearch">
                <span class="fa fa-trash-o"></span>
              </button>
            </div>
            <div class="input-group w-100 mt-3" [hidden]="(internal === 'PPIC' && userlogin !== 'PJA')">
              <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                name="currentSearch" placeholder="Please Insert Job Order Number" />
              <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)"
                *ngIf="currentSearch">
                <span class="fa fa-search"></span>
              </button>
              <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()"
                *ngIf="currentSearch">
                <span class="fa fa-trash-o"></span>
              </button>
            </div>
          </form>
          <br />

          <p-dataTable [hidden]="((internal === 'PPIC' && userlogin === 'PJA') || internal !== 'PPIC')"
            [value]="jobOrdersSPV" [(selection)]="selected" [editable]="true" [rows]="itemsPerPage"
            [headerCheckboxToggleAllPages]="true" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10, 15, 20]"
            [totalRecords]="totalItems" [responsive]="true" [lazy]="true" [(first)]="first" row="itemsPerPage"
            totalRecords="totalItems" dataKey="idOrder" expandableRows="false" rowHover="true"
            (onLazyLoad)="loadDataLazy($event)">
            <p-header> </p-header>
            <p-column selectionMode="multiple" [style]="{ width: '38px' }"></p-column>
            <p-column header="{{ 'global.field.sequence' | translate }}"
              [style]="{ width: '70px', 'text-align': 'center' }">
              <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{ rowIndex + 1 }}
              </ng-template>
            </p-column>
            <p-column header="Job Order Number">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.orderNumber }}
              </ng-template>
            </p-column>
            <p-column header="Date Order">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.dtOrder | date: "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="Finished Before">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.dtFnsBfr | date: "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="Create By">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.createdBy }}
              </ng-template>
            </p-column>
            <p-column header="Division">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.divReq }}
              </ng-template>
            </p-column>
            <p-column header="Request To">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.divReciver }}
              </ng-template>
            </p-column>
            <p-column header="Approve By Supervisor / Assistant Manager">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.appDept }}
              </ng-template>
            </p-column>
            <p-column header="Approve By Manager">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.appDept1 }}
              </ng-template>
            </p-column>
            <p-column header="Job Description">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.jobDescription }}
              </ng-template>
            </p-column>
            <p-column header="Action" [style]="{ width: '150px', 'text-align': 'center' }">
              <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                  [routerLink]="['../../joborders/0/' + page + '/' + rowData.idOrder + '/edit']"
                  (click)="gotoDetail(rowData)" icon="fa-pencil" class="flat-button">
                </button>
                <button [hidden]=" (rowData.idStatusType !== 9) " pButton type="submit" (click)="cancelJO(rowData)"
                  icon="fa-remove" ngbTooltip="Cancel JO" class="flat-button"></button>
              </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex="rowIndex" pTemplate="rowexpansion">
            </ng-template>
          </p-dataTable>

          <p-dataTable [hidden]="internal === 'PPIC' && userlogin !== 'PJA'" [value]="jobOrdersApp"
            [(selection)]="selected" [editable]="true" [rows]="itemsPerPage" [headerCheckboxToggleAllPages]="true"
            [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10, 15, 20]" [totalRecords]="totalItems"
            [responsive]="true" [lazy]="true" [(first)]="first" row="itemsPerPage" totalRecords="totalItems"
            dataKey="idOrder" expandableRows="false" rowHover="true" (onLazyLoad)="loadDataLazy($event)">
            <p-header> </p-header>
            <p-column selectionMode="multiple" [style]="{ width: '38px' }"></p-column>
            <p-column header="{{ 'global.field.sequence' | translate }}"
              [style]="{ width: '70px', 'text-align': 'center' }">
              <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{ rowIndex + 1 }}
              </ng-template>
            </p-column>
            <p-column header="Job Order Number">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.orderNumber }}
              </ng-template>
            </p-column>
            <p-column header="Date Order">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.dtOrder | date: "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="Finished Before">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.dtFnsBfr | date: "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="Create By">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.createdBy }}
              </ng-template>
            </p-column>
            <p-column header="Division">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.divReq }}
              </ng-template>
            </p-column>
            <p-column header="Request To">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.divReciver }}
              </ng-template>
            </p-column>
            <p-column header="Approve By ">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.appDept }}
              </ng-template>
            </p-column>
            <p-column header="Job Description">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.jobDescription }}
              </ng-template>
            </p-column>
            <p-column header="Action" [style]="{ width: '150px', 'text-align': 'center' }">
              <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                  [routerLink]="['../../joborders/0/' + page + '/' + rowData.idOrder + '/edit']"
                  (click)="gotoDetail(rowData)" icon="fa-pencil" class="flat-button">
                </button>
                <button pButton [hidden]="(rowData.idStatusType !== 11)" type="submit" (click)="cancelJO(rowData)"
                  icon="fa-remove" ngbTooltip="Cancel JO" class="flat-button"></button>
              </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex="rowIndex" pTemplate="rowexpansion">
            </ng-template>
          </p-dataTable>

        </p-tabPanel>

        <!-- NOT APPROVED TAB -->
        <p-tabPanel header="Not Approved">
          <form name="searchForm" class="form-inline">
            <div class="input-group w-100 mt-3">
              <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                name="currentSearch" placeholder="Please Insert Job Order Number" />
              <button class="input-group-addon btn btn-info flat-style-button" (click)="search13(currentSearch)"
                *ngIf="currentSearch">
                <span class="fa fa-search"></span>
              </button>
              <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()"
                *ngIf="currentSearch">
                <span class="fa fa-trash-o"></span>
              </button>
            </div>
          </form>
          <br />
          <p-dataTable [value]="jobOrders" [(selection)]="selected" [editable]="true" [rows]="itemsPerPage"
            [headerCheckboxToggleAllPages]="true" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10, 15, 20]"
            [totalRecords]="totalItems" [responsive]="true" [lazy]="true" [(first)]="first" row="itemsPerPage"
            totalRecords="totalItems" dataKey="idOrder" expandableRows="false" rowHover="true"
            (onLazyLoad)="loadDataLazy($event)">
            <p-header>
            </p-header>
            <p-column selectionMode="multiple" [style]="{ width: '38px' }"></p-column>
            <p-column header="{{ 'global.field.sequence' | translate }}"
              [style]="{ width: '70px', 'text-align': 'center' }">
              <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{ rowIndex + 1 }}
              </ng-template>
            </p-column>
            <p-column header="Job Order Number">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.orderNumber }}
              </ng-template>
            </p-column>
            <p-column header="Date Order">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.dtOrder | date: "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="Finished Before">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.dtFnsBfr | date: "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="Create By">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.createdBy }}
              </ng-template>
            </p-column>
            <p-column header="Division">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.divReq }}
              </ng-template>
            </p-column>
            <p-column header="Request To">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.divReciver }}
              </ng-template>
            </p-column>
            <p-column header="Approve By">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.appDept }}
              </ng-template>
            </p-column>
            <p-column header="Job Description">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.jobDescription }}
              </ng-template>
            </p-column>
            <p-column header="Action" [style]="{ width: '150px', 'text-align': 'center' }">
              <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                  [routerLink]="['../../joborders/0/' + page + '/' + rowData.idOrder + '/edit']"
                  (click)="gotoDetail(rowData)" icon="fa-pencil" class="flat-button">
                </button>
              </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex="rowIndex" pTemplate="rowexpansion">
            </ng-template>
          </p-dataTable>
        </p-tabPanel>
        <!-- NOT APPROVED TAB -->

        <!-- PROGRESS BAR TAB -->
        <p-tabPanel header="On Progress">
          <form name="searchForm" class="form-inline">
            <div class="input-group w-100 mt-3">
              <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                name="currentSearch" placeholder="Please Insert Job Order Number" />
              <button class="input-group-addon btn btn-info flat-style-button" (click)="search14(currentSearch)"
                *ngIf="currentSearch">
                <span class="fa fa-search"></span>
              </button>
              <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()"
                *ngIf="currentSearch">
                <span class="fa fa-trash-o"></span>
              </button>
            </div>
          </form>
          <br />
          <p-dataTable [value]="jobOrdersProgress" [(selection)]="selected" [editable]="true" [rows]="itemsPerPage"
            [headerCheckboxToggleAllPages]="true" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10, 15, 20]"
            [totalRecords]="totalItems" [responsive]="true" [lazy]="true" [(first)]="first" row="itemsPerPage"
            totalRecords="totalItems" dataKey="idOrder" expandableRows="false" rowHover="true"
            (onLazyLoad)="loadDataLazy($event)">
            <p-header>
            </p-header>
            <p-column selectionMode="multiple" [style]="{ width: '38px' }"></p-column>
            <p-column header="{{ 'global.field.sequence' | translate }}"
              [style]="{ width: '70px', 'text-align': 'center' }">
              <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{ rowIndex + 1 }}
              </ng-template>
            </p-column>
            <p-column header="Job Order Number">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.orderNumber }}
              </ng-template>
            </p-column>
            <p-column header="Date Order">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.dtOrder | date: "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="Finished Before">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.dtFnsBfr | date: "dd-MM-yyyy" }}
              </ng-template>
            </p-column>
            <p-column header="Create By">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.createdBy }}
              </ng-template>
            </p-column>
            <p-column header="Division">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.divReq }}
              </ng-template>
            </p-column>
            <p-column header="Request To">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.divReciver }}
              </ng-template>
            </p-column>
            <p-column header="Approve By">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.appDept }}
              </ng-template>
            </p-column>

            <p-column header="Job Description">
              <ng-template let-rowData="rowData" pTemplate="body">
                {{ rowData.jobDescription }}
              </ng-template>
            </p-column>
            <p-column header="Action" [style]="{ width: '150px', 'text-align': 'center' }">
              <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                  [routerLink]="['../../joborders/0/' + page + '/' + rowData.idOrder + '/edit']"
                  (click)="gotoDetail(rowData)" icon="fa-pencil" class="flat-button">
                </button>
                <button pButton [hidden]="(rowData.idStatusType !== 14)" type="submit" (click)="cancelJO(rowData)"
                  icon="fa-remove" ngbTooltip="Cancel JO" class="flat-button"></button>
              </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex="rowIndex" pTemplate="rowexpansion">
            </ng-template>
          </p-dataTable>
        </p-tabPanel>
        <!-- PROGRESS BAR -->
      </p-tabView>
    </div>
  </div>
</div>
<div style="margin-top: 10px"></div>
<p-dialog header="Alasan Cancel" [(visible)]="newModalNote1" modal="true" [width]="700">
  <form name="notesForm" role="form" novalidate (ngSubmit)="modalCancelJO()" #editForm="ngForm">
    <div class="card-deck" style="margin: 25px;">
      <jhi-alert-error></jhi-alert-error>
      <textarea pInputTextarea class="form-control" id="field_cancelnote" name="cancelnote" [rows]="5" [cols]="30"
        autoResize="autoResize" [(ngModel)]="noteCancelJO" required>
          </textarea>
    </div>
    <div class="modal-footer">
      <button pButton type="submit" label="Cancel JO" icon="fa-save" class="ui-button-primary flat-label-button">
      </button>
    </div>
  </form>
</p-dialog>

<p-confirmDialog header="Information" icon="fa fa-info"></p-confirmDialog>